<section class="profile-header">
    <div class="profile-dp">
        <img class="img-rounded" [src]="hostname + profileContext?.profilePicture?.url" alt="profile-default-dp" *ngIf="profileContext !== undefined && profileContext.profilePicture !== undefined && profileContext.profilePicture.url !== undefined;else defaultDp">
        <ng-template #defaultDp>
         <img class="img-rounded" src="../../../../assets/images/a.jpeg" alt="profile-default-dp" />
        </ng-template>
    </div>
    <div class="dp-upload-container">
        <div class="dp-upload">
            <span (click)="dpInput.click()">{{isDpSelected ? selectedDpName : 'Upload/Change Picture'}}</span>
            <input #dpInput type="file" hidden="true" name="file" id="file" (change)="onFileChanged($event)" onclick="this.value=null"/>
            <i *ngIf="isDpSelected" class="fa fa-times" aria-hidden="true" (click)="removeDpSelection()"></i>
        </div>
        <button *ngIf="isDpSelected" mat-button class="button-primary" (click)="onUploadDp()">Upload</button>
    </div>
    <h5>{{profileContext?.name}}</h5>
</section>
<section class="my-profile-container">
    <mat-tab-group mat-align-tabs="center" [selectedIndex]="0">
        <mat-tab label="Personal Info">
            <app-my-profile-molecule pageType="personalInfo" [profileContext]="profileContext" (refreshData)="refreshData()"></app-my-profile-molecule>
        </mat-tab>
        <mat-tab label="Contact Info">
            <div>
                <app-my-profile-molecule pageType="contactInfo" [profileContext]="profileContext" (refreshData)="refreshData()"></app-my-profile-molecule>
            </div>
        </mat-tab>
        <mat-tab label="Emergency">
            <div>
                <app-my-profile-molecule pageType="emergency" [profileContext]="profileContext" (refreshData)="refreshData()"></app-my-profile-molecule>
            </div>
        </mat-tab>
        <mat-tab label="Family/Dependent Info">
            <div>
                <app-my-profile-molecule pageType="familyInfo" [profileContext]="profileContext" (refreshData)="refreshData()"></app-my-profile-molecule>
            </div>
        </mat-tab>
        <mat-tab label="Education">
            <div>
                <app-my-profile-molecule pageType="educationInfo" [profileContext]="profileContext" (refreshData)="refreshData()"></app-my-profile-molecule>
            </div>
        </mat-tab>
        <mat-tab label="Password">
            <div>
                <app-my-profile-molecule pageType="password" [profileContext]="profileContext" (refreshData)="refreshData()"></app-my-profile-molecule>
            </div>
        </mat-tab>
    </mat-tab-group>
</section>